- Home
- Download

- GitHub

- News
- Documentation

- FAQ
- Tutorial
- API reference
- Examples

- XML Digital Signature
- XML Encryption
- XML Canonicalization
- Reporting Bugs
- Mailing list
- Related
- Authors

## evp

evp

## Functions

EVP_PKEY * | xmlSecOpenSSLKeyGetEvp ()
int | xmlSecOpenSSLEvpKeyDataAdoptEvp ()
EVP_PKEY * | xmlSecOpenSSLEvpKeyDataGetEvp ()
EVP_PKEY * | xmlSecOpenSSLEvpKeyDup ()
xmlSecKeyDataPtr | xmlSecOpenSSLEvpKeyAdopt ()
xmlSecKeyDataId | xmlSecOpenSSLKeyDataDEREncodedKeyValueGetKlass ()

## Types and Values

#define | xmlSecOpenSSLKeyDataDEREncodedKeyValueId

## Description

## Functions

### xmlSecOpenSSLKeyGetEvp ()

    EVP_PKEY *
    xmlSecOpenSSLKeyGetEvp (xmlSecKeyPtr key);

Gets the EVP_PKEY from the key.

#### Parameters

key | the pointer to OpenSSL EVP key. |

#### Returns

pointer to EVP_PKEY or NULL if an error occurs.

### xmlSecOpenSSLEvpKeyDataAdoptEvp ()

    int
    xmlSecOpenSSLEvpKeyDataAdoptEvp (xmlSecKeyDataPtr data,
                                     EVP_PKEY *pKey);

Sets the value of key data.

#### Parameters

data | the pointer to OpenSSL EVP key data. |
pKey | the pointer to EVP key. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecOpenSSLEvpKeyDataGetEvp ()

    EVP_PKEY *
    xmlSecOpenSSLEvpKeyDataGetEvp (xmlSecKeyDataPtr data);

Gets the EVP_PKEY from the key data.

#### Parameters

data | the pointer to OpenSSL EVP data. |

#### Returns

pointer to EVP_PKEY or NULL if an error occurs.

### xmlSecOpenSSLEvpKeyDup ()

    EVP_PKEY *
    xmlSecOpenSSLEvpKeyDup (EVP_PKEY *pKey);

Duplicates `pKey` .

#### Parameters

pKey | the pointer to EVP_PKEY. |

#### Returns

pointer to newly created EVP_PKEY object or NULL if an error occurs.

### xmlSecOpenSSLEvpKeyAdopt ()

    xmlSecKeyDataPtr
    xmlSecOpenSSLEvpKeyAdopt (EVP_PKEY *pKey);

Creates xmlsec key object from OpenSSL key object.

#### Parameters

pKey | the pointer to EVP_PKEY. |

#### Returns

pointer to newly created xmlsec key or NULL if an error occurs.

### xmlSecOpenSSLKeyDataDEREncodedKeyValueGetKlass ()

    xmlSecKeyDataId
    xmlSecOpenSSLKeyDataDEREncodedKeyValueGetKlass
                                   (void);

https://www.w3.org/TR/xmldsig-core1/sec-DEREncodedKeyValue

         <!-- targetNamespace="http://www.w3.org/2009/xmldsig11#" -->
         <element name="DEREncodedKeyValue" type="dsig11:DEREncodedKeyValueType" />
         <complexType name="DEREncodedKeyValueType">
             <simpleContent>
                 <extension base="base64Binary">
                     <attribute name="Id" type="ID" use="optional"/>
                 </extension>
             </simpleContent>
         </complexType>

#### Returns

the <dsig11:DEREncodedKeyValue/>element processing key data klass.

## Types and Values

### xmlSecOpenSSLKeyDataDEREncodedKeyValueId

    #define xmlSecOpenSSLKeyDataDEREncodedKeyValueId xmlSecOpenSSLKeyDataDEREncodedKeyValueGetKlass()

The OpenSSL DEREncodedKeyValue data klass.